Subject: Re: latest linux git doesn't compile ucc_geth_phy.c and ucc_geth.c

From: Timur Tabi <[email-masked]>
Date: Wed, 13 Dec 2006 11:48:19 -0600

Joakim Tjernlund wrote:
> drivers/net/ucc_geth.c:4083:45: macro "INIT_WORK" passed 3 arguments,
> but takes just 2
> drivers/net/ucc_geth.c: In function `ucc_geth_open':
> drivers/net/ucc_geth.c:4083: error: `INIT_WORK' undeclared (first use in
> this function)
> drivers/net/ucc_geth.c:4083: error: (Each undeclared identifier is
> reported only once
> drivers/net/ucc_geth.c:4083: error: for each function it appears in.)
> drivers/net/ucc_geth.c: At top level:
> drivers/net/ucc_geth.c:3924: warning: 'ugeth_phy_change' defined but not
> used
> make[2]: *** [drivers/net/ucc_geth.o] Error 1
> 
> drivers/net/ucc_geth_phy.c:71: error: conflicting types for 'phy_read'
> include/linux/phy.h:355: error: previous declaration of 'phy_read' was
> here
> drivers/net/ucc_geth_phy.c:71: error: conflicting types for 'phy_read'
> include/linux/phy.h:355: error: previous declaration of 'phy_read' was
> here
> drivers/net/ucc_geth_phy.c:72: error: conflicting types for 'phy_write'
> include/linux/phy.h:356: error: previous declaration of 'phy_write' was
> here
> drivers/net/ucc_geth_phy.c:72: error: conflicting types for 'phy_write'
> include/linux/phy.h:356: error: previous declaration of 'phy_write' was
> here

I just posted two patches to linuxppc-dev that fix these problems.  The message 
are titled:

[PATCH] Update ucc_geth.c for new workqueue structure
[PATCH] Fix phy_read/write redefinition errors in ucc_geth_phy.c

I've tested these on an 8360EMDS, and Kumar has reviewed and signed off on the 
code, so I think they're good.  Please let me know if they're not.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale